{$MODE OBJFPC}

uses time;

var
yr : Int64;
mn : TMonth;
dy : TDay;

begin

for yr := 2022 downto -2022 do begin
 for mn := 1 to 12 do begin
  for dy := 1 to monthlen(yr, mn) do begin
//WriteLn('Y:',yr, ' M:', mn, ' D:', dy, ' DOW:', fdnd(yr, mn,dy));
//if WeekdayRu(yr, mn,dy) <> fdnd(yr, mn,dy) then WriteLn('Err', yr,  WeekDayRu(yr,mn,dy), '<>', fdnd(yr,mn,dy));
//if WeekdayRu(yr, mn,dy) <> newfdnd(yr, mn,dy) then WriteLn('Err', yr,  WeekDayRu(yr,mn,dy), '<>', fdnd(yr,mn,dy));
if fdnd(yr, mn,dy) <> weekdayru(Yr, Mn, Dy) then WriteLn('Err', yr,  '<>');
  end;
 end;
end;


end.